Skip to main content
GET
/
resume
/
{resume_id}
/
skill
Get all skills of resume
curl --request GET \
  --url https://api.letraz.app/api/v1/resume/{resume_id}/skill/ \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "<string>",
    "skill": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category": "<string>",
      "name": "<string>",
      "alias": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "category": "<string>",
          "name": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "preferred": true
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "preferred": true
    },
    "resume_section": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://outline.letraz.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

resume_id
string
required

Resume ID of the resume the education belongs to. If you want to interact with the base Skill, just put base in here

Response

id
string
required
read-only
skill
object
required
resume_section
string
required
read-only
level
enum<string> | null
  • BEG - Beginner
  • INT - Intermediate
  • ADV - Advanced
  • EXP - Expert
Available options:
BEG,
INT,
ADV,
EXP,
null